Index: /branches/2.2.0.1/phpgwapi/setup/setup.inc.php
===================================================================
--- /branches/2.2.0.1/phpgwapi/setup/setup.inc.php	(revision 4363)
+++ /branches/2.2.0.1/phpgwapi/setup/setup.inc.php	(revision 4526)
@@ -14,5 +14,5 @@
 	$setup_info['phpgwapi']['name']      = 'phpgwapi';
 	$setup_info['phpgwapi']['title']     = 'API';
-	$setup_info['phpgwapi']['version']   = '2.2.3';
+	$setup_info['phpgwapi']['version']   = '2.2.0.1';
 	$setup_info['phpgwapi']['versions']['current_header'] = '2.2';
 	$setup_info['phpgwapi']['enable']    = 3;
Index: /branches/2.2.0.1/phpgwapi/setup/tables_update.inc.php
===================================================================
--- /branches/2.2.0.1/phpgwapi/setup/tables_update.inc.php	(revision 4363)
+++ /branches/2.2.0.1/phpgwapi/setup/tables_update.inc.php	(revision 4526)
@@ -112,5 +112,5 @@
 	function phpgwapi_upgrade2_2_000()
 	{
-		$GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.2.1';
+		$GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.2.0.1';
 		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
 	}
Index: /branches/2.2.0.1/news_admin/setup/setup.inc.php
===================================================================
--- /branches/2.2.0.1/news_admin/setup/setup.inc.php	(revision 4186)
+++ /branches/2.2.0.1/news_admin/setup/setup.inc.php	(revision 4526)
@@ -14,5 +14,5 @@
 	$setup_info['news_admin']['name']      = 'news_admin';
 	$setup_info['news_admin']['title']     = 'News Admin';
-	$setup_info['news_admin']['version']   = '2.2.1';
+	$setup_info['news_admin']['version']   = '2.2.0.1';
 	$setup_info['news_admin']['app_order'] = 16;
 	$setup_info['news_admin']['enable']    = 1;
Index: /branches/2.2.0.1/news_admin/setup/tables_update.inc.php
===================================================================
--- /branches/2.2.0.1/news_admin/setup/tables_update.inc.php	(revision 4186)
+++ /branches/2.2.0.1/news_admin/setup/tables_update.inc.php	(revision 4526)
@@ -40,5 +40,5 @@
 	function news_admin_upgrade2_2_000()
 	{
-		$GLOBALS['setup_info']['news_admin']['currentver'] = '2.2.1';
+		$GLOBALS['setup_info']['news_admin']['currentver'] = '2.2.0.1';
 		return $GLOBALS['setup_info']['news_admin']['currentver'];
 	}
Index: /branches/2.2.0.1/reports/setup/setup.inc.php
===================================================================
--- /branches/2.2.0.1/reports/setup/setup.inc.php	(revision 4186)
+++ /branches/2.2.0.1/reports/setup/setup.inc.php	(revision 4526)
@@ -13,5 +13,5 @@
 	$setup_info['reports']['title']     	= 'Expresso Reports';
 	/* Ao incrementar versão, não esquecer de declarar função do tables_update.inc.php*/
-	$setup_info['reports']['version']   	= '2.2.1';
+	$setup_info['reports']['version']   	= '2.2.0.1';
 	$setup_info['reports']['app_order']	= 17;
 	$setup_info['reports']['tables']    = '';
Index: /branches/2.2.0.1/mobile/setup/setup.inc.php
===================================================================
--- /branches/2.2.0.1/mobile/setup/setup.inc.php	(revision 4363)
+++ /branches/2.2.0.1/mobile/setup/setup.inc.php	(revision 4526)
@@ -14,5 +14,5 @@
 	$setup_info['mobile']['name']      = 'mobile';
 	$setup_info['mobile']['title']     = 'Expresso Mini';
-	$setup_info['mobile']['version']   = '2.2.3';
+	$setup_info['mobile']['version']   = '2.2.0.1';
 	$setup_info['mobile']['app_order'] = 4;
 	$setup_info['mobile']['enable']    = 2;
Index: /branches/2.2.0.1/filemanager/setup/setup.inc.php
===================================================================
--- /branches/2.2.0.1/filemanager/setup/setup.inc.php	(revision 4294)
+++ /branches/2.2.0.1/filemanager/setup/setup.inc.php	(revision 4526)
@@ -14,5 +14,5 @@
 	$setup_info['filemanager']['name']    = 'filemanager';
 	$setup_info['filemanager']['title']   = 'Filemanager';
-	$setup_info['filemanager']['version'] = '2.2.2';
+	$setup_info['filemanager']['version'] = '2.2.0.1';
 	$setup_info['filemanager']['app_order'] = 6;
 	$setup_info['filemanager']['enable']  = 1;
Index: /branches/2.2.0.1/expressoAdmin1_2/setup/tables_update.inc.php
===================================================================
--- /branches/2.2.0.1/expressoAdmin1_2/setup/tables_update.inc.php	(revision 4294)
+++ /branches/2.2.0.1/expressoAdmin1_2/setup/tables_update.inc.php	(revision 4526)
@@ -64,5 +64,5 @@
 	function expressoAdmin1_2_upgrade2_2_000()
 	{
-		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '2.2.1';
+		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '2.2.0.1';
 		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
 	}
Index: /branches/2.2.0.1/expressoAdmin1_2/setup/setup.inc.php
===================================================================
--- /branches/2.2.0.1/expressoAdmin1_2/setup/setup.inc.php	(revision 4294)
+++ /branches/2.2.0.1/expressoAdmin1_2/setup/setup.inc.php	(revision 4526)
@@ -13,5 +13,5 @@
 	$setup_info['expressoAdmin1_2']['title']     	= 'Expresso Admin';
 	/* Ao incrementar versão, não esquecer de declarar função do tables_update.inc.php*/
-	$setup_info['expressoAdmin1_2']['version']   	= '2.2.2';
+	$setup_info['expressoAdmin1_2']['version']   	= '2.2.0.1';
 	$setup_info['expressoAdmin1_2']['app_order']	= 1;
 	$setup_info['expressoAdmin1_2']['tables'][]		= 'phpgw_expressoadmin';
Index: /branches/2.2.0.1/listAdmin/setup/setup.inc.php
===================================================================
--- /branches/2.2.0.1/listAdmin/setup/setup.inc.php	(revision 4186)
+++ /branches/2.2.0.1/listAdmin/setup/setup.inc.php	(revision 4526)
@@ -9,5 +9,5 @@
 	$setup_info['listAdmin']['name'] = 'listAdmin';
 	$setup_info['listAdmin']['title'] = 'Mailman Admin';
-	$setup_info['listAdmin']['version'] = '2.2.1';
+	$setup_info['listAdmin']['version'] = '2.2.0.1';
 	$setup_info['listAdmin']['app_order'] = 10;
 	$setup_info['listAdmin']['enable'] = 1;
Index: /branches/2.2.0.1/help/setup/setup.inc.php
===================================================================
--- /branches/2.2.0.1/help/setup/setup.inc.php	(revision 4186)
+++ /branches/2.2.0.1/help/setup/setup.inc.php	(revision 4526)
@@ -13,5 +13,5 @@
 	$setup_info['help']['name']      = 'help';
 	$setup_info['help']['title']     = 'User Manual and Help Page';
-	$setup_info['help']['version']   = '2.2.1';
+	$setup_info['help']['version']   = '2.2.0.1';
 	$setup_info['help']['app_order'] = 5;
 	$setup_info['help']['enable']    = 2;	// Invisible on top (navigation bar)
Index: /branches/2.2.0.1/admin/setup/setup.inc.php
===================================================================
--- /branches/2.2.0.1/admin/setup/setup.inc.php	(revision 4186)
+++ /branches/2.2.0.1/admin/setup/setup.inc.php	(revision 4526)
@@ -13,5 +13,5 @@
 	$setup_info['admin']['name']      = 'admin';
 	$setup_info['admin']['title']      = 'Admin';
-	$setup_info['admin']['version']   = '2.2.1';
+	$setup_info['admin']['version']   = '2.2.0.1';
 	$setup_info['admin']['app_order'] = 1;
 	$setup_info['admin']['tables']    = '';
Index: /branches/2.2.0.1/jabberit_messenger/setup/setup.inc.php
===================================================================
--- /branches/2.2.0.1/jabberit_messenger/setup/setup.inc.php	(revision 4453)
+++ /branches/2.2.0.1/jabberit_messenger/setup/setup.inc.php	(revision 4526)
@@ -8,5 +8,5 @@
 	$setup_info['jabberit_messenger']['name']      	= 'jabberit_messenger';
 	$setup_info['jabberit_messenger']['title']     	= 'Expresso Messenger';
-	$setup_info['jabberit_messenger']['version']   	= '2.2.1';
+	$setup_info['jabberit_messenger']['version']   	= '2.2.0.1';
 	$setup_info['jabberit_messenger']['app_order'] 	= 9;
 	$setup_info['jabberit_messenger']['enable']    	= 1;
Index: /branches/2.2.0.1/agileProjects/setup/setup.inc.php
===================================================================
--- /branches/2.2.0.1/agileProjects/setup/setup.inc.php	(revision 4269)
+++ /branches/2.2.0.1/agileProjects/setup/setup.inc.php	(revision 4526)
@@ -8,5 +8,5 @@
 
 	$setup_info['agileProjects']['name'] = 'agileProjects';
-	$setup_info['agileProjects']['version'] = '1.0.0';
+	$setup_info['agileProjects']['version'] = '2.2.0.1';
 	$setup_info['agileProjects']['app_order'] = 10;
 	$setup_info['agileProjects']['enable'] = 1;
Index: /branches/2.2.0.1/contactcenter/setup/tables_update.inc.php
===================================================================
--- /branches/2.2.0.1/contactcenter/setup/tables_update.inc.php	(revision 4363)
+++ /branches/2.2.0.1/contactcenter/setup/tables_update.inc.php	(revision 4526)
@@ -56,5 +56,5 @@
         $test[] = '2.2.000';
 	function contactcenter_upgrade2_2_000() {
-		$GLOBALS['setup_info']['contactcenter']['currentver'] = '2.2.1';
+		$GLOBALS['setup_info']['contactcenter']['currentver'] = '2.2.0.1';
 		return $GLOBALS['setup_info']['contactcenter']['currentver'];
 	}
Index: /branches/2.2.0.1/contactcenter/setup/setup.inc.php
===================================================================
--- /branches/2.2.0.1/contactcenter/setup/setup.inc.php	(revision 4363)
+++ /branches/2.2.0.1/contactcenter/setup/setup.inc.php	(revision 4526)
@@ -17,5 +17,5 @@
 	$setup_info['contactcenter']['name']      = 'contactcenter';
 	$setup_info['contactcenter']['title']     = 'ContactCenter';
-	$setup_info['contactcenter']['version']   = '2.2.3';
+	$setup_info['contactcenter']['version']   = '2.2.0.1';
 	$setup_info['contactcenter']['app_order'] = 4;
 	$setup_info['contactcenter']['enable']    = 1;
Index: /branches/2.2.0.1/emailadmin/setup/setup.inc.php
===================================================================
--- /branches/2.2.0.1/emailadmin/setup/setup.inc.php	(revision 4186)
+++ /branches/2.2.0.1/emailadmin/setup/setup.inc.php	(revision 4526)
@@ -14,5 +14,5 @@
 	$setup_info['emailadmin']['name']      = 'emailadmin';
 	$setup_info['emailadmin']['title']     = 'EMailAdmin';
-	$setup_info['emailadmin']['version']   = '2.2.1';
+	$setup_info['emailadmin']['version']   = '2.2.0.1';
 	$setup_info['emailadmin']['app_order'] = 10;
 	$setup_info['emailadmin']['enable']    = 2;
Index: /branches/2.2.0.1/emailadmin/setup/tables_update.inc.php
===================================================================
--- /branches/2.2.0.1/emailadmin/setup/tables_update.inc.php	(revision 4186)
+++ /branches/2.2.0.1/emailadmin/setup/tables_update.inc.php	(revision 4526)
@@ -113,5 +113,5 @@
    function emailadmin_upgrade2_2_000()
 	{
-      $GLOBALS['setup_info']['emailadmin']['currentver'] = '2.2.1';
+      $GLOBALS['setup_info']['emailadmin']['currentver'] = '2.2.0.1';
       return $GLOBALS['setup_info']['emailadmin']['currentver'];
    }
Index: /branches/2.2.0.1/preferences/setup/setup.inc.php
===================================================================
--- /branches/2.2.0.1/preferences/setup/setup.inc.php	(revision 4186)
+++ /branches/2.2.0.1/preferences/setup/setup.inc.php	(revision 4526)
@@ -13,5 +13,5 @@
 	$setup_info['preferences']['name']      = 'preferences';
 	$setup_info['preferences']['title']     = 'Preferences';
-	$setup_info['preferences']['version']   = '2.2.1';
+	$setup_info['preferences']['version']   = '2.2.0.1';
 	$setup_info['preferences']['app_order'] = 1;
 	$setup_info['preferences']['tables']    = '';
Index: /branches/2.2.0.1/calendar/setup/setup.inc.php
===================================================================
--- /branches/2.2.0.1/calendar/setup/setup.inc.php	(revision 4186)
+++ /branches/2.2.0.1/calendar/setup/setup.inc.php	(revision 4526)
@@ -13,5 +13,5 @@
 	$setup_info['calendar']['name']    = 'calendar';
 	$setup_info['calendar']['title']    = 'Calendar';
-	$setup_info['calendar']['version'] = '2.2.1';
+	$setup_info['calendar']['version'] = '2.2.0.1';
 	$setup_info['calendar']['app_order'] = 3;
 	$setup_info['calendar']['enable']  = 1;
Index: /branches/2.2.0.1/calendar/setup/tables_update.inc.php
===================================================================
--- /branches/2.2.0.1/calendar/setup/tables_update.inc.php	(revision 4237)
+++ /branches/2.2.0.1/calendar/setup/tables_update.inc.php	(revision 4526)
@@ -83,10 +83,4 @@
 	function calendar_upgrade2_2_000()
 	{
-		$GLOBALS['setup_info']['calendar']['currentver'] = '2.2.003';
-		return $GLOBALS['setup_info']['calendar']['currentver'];
-	}
-	$test[] = '2.2.003';
-	function calendar_upgrade2_2_003()
-	{
 	    $GLOBALS['phpgw_setup']->db->query("ALTER TABLE phpgw_cal ADD COLUMN notifications_owner INT NOT NULL default '0'");
             $GLOBALS['phpgw_setup']->db->query("ALTER TABLE phpgw_cal ADD COLUMN observations text");
@@ -95,6 +89,7 @@
             $GLOBALS['phpgw_setup']->db->query("ALTER TABLE phpgw_cal ALTER title TYPE varchar(300)");
             $GLOBALS['phpgw_setup']->db->query("ALTER TABLE phpgw_cal_repeats ALTER recur_exception TYPE varchar");
-	    $GLOBALS['setup_info']['calendar']['currentver'] = '2.2.1';
+	    $GLOBALS['setup_info']['calendar']['currentver'] = '2.2.0.1';
 	    return $GLOBALS['setup_info']['calendar']['currentver'];
 	}
+
 ?>
Index: /branches/2.2.0.1/workflow/setup/setup.inc.php
===================================================================
--- /branches/2.2.0.1/workflow/setup/setup.inc.php	(revision 4186)
+++ /branches/2.2.0.1/workflow/setup/setup.inc.php	(revision 4526)
@@ -13,5 +13,5 @@
 	$setup_info['workflow']['name']			= 'workflow';
 	$setup_info['workflow']['title']		= 'Workflow Management';
-	$setup_info['workflow']['version']		= '2.2.1';
+	$setup_info['workflow']['version']		= '2.2.0.1';
 	$setup_info['workflow']['app_order']	= 10;
 	$setup_info['workflow']['enable']		= 1;
Index: /branches/2.2.0.1/workflow/setup/tables_update.inc.php
===================================================================
--- /branches/2.2.0.1/workflow/setup/tables_update.inc.php	(revision 4186)
+++ /branches/2.2.0.1/workflow/setup/tables_update.inc.php	(revision 4526)
@@ -207,5 +207,5 @@
 	{
 		#updating the current version
-		$GLOBALS['setup_info']['workflow']['currentver'] = '2.2.1';
+		$GLOBALS['setup_info']['workflow']['currentver'] = '2.2.0.1';
 		return $GLOBALS['setup_info']['workflow']['currentver'];
 	}
Index: /branches/2.2.0.1/expressoMail1_2/setup/tables_update.inc.php
===================================================================
--- /branches/2.2.0.1/expressoMail1_2/setup/tables_update.inc.php	(revision 4363)
+++ /branches/2.2.0.1/expressoMail1_2/setup/tables_update.inc.php	(revision 4526)
@@ -103,5 +103,5 @@
 	$test[] = '2.2.000';
 	function expressoMail1_2_upgrade2_2_000() {
-		$setup_info['expressoMail1_2']['currentver'] = '2.2.1';
+		$setup_info['expressoMail1_2']['currentver'] = '2.2.0.1';
 		return $setup_info['expressoMail1_2']['currentver'];
 	}
Index: /branches/2.2.0.1/expressoMail1_2/setup/setup.inc.php
===================================================================
--- /branches/2.2.0.1/expressoMail1_2/setup/setup.inc.php	(revision 4363)
+++ /branches/2.2.0.1/expressoMail1_2/setup/setup.inc.php	(revision 4526)
@@ -12,5 +12,5 @@
 	$setup_info['expressoMail1_2']['name']      	= 'expressoMail1_2';
 	$setup_info['expressoMail1_2']['title']     	= 'Expresso Mail';
-	$setup_info['expressoMail1_2']['version']   	= '2.2.3';
+	$setup_info['expressoMail1_2']['version']   	= '2.2.0.1';
 	$setup_info['expressoMail1_2']['app_order'] 	= 2;
 	$setup_info['expressoMail1_2']['tables'][]		= 'phpgw_expressomail_contacts';