Index: /branches/2.2/phpgwapi/setup/setup.inc.php
===================================================================
--- /branches/2.2/phpgwapi/setup/setup.inc.php	(revision 4350)
+++ /branches/2.2/phpgwapi/setup/setup.inc.php	(revision 4542)
@@ -14,5 +14,5 @@
 	$setup_info['phpgwapi']['name']      = 'phpgwapi';
 	$setup_info['phpgwapi']['title']     = 'API';
-	$setup_info['phpgwapi']['version']   = '2.2.3';
+	$setup_info['phpgwapi']['version']   = '2.2.4';
 	$setup_info['phpgwapi']['versions']['current_header'] = '2.2';
 	$setup_info['phpgwapi']['enable']    = 3;
Index: /branches/2.2/phpgwapi/setup/tables_update.inc.php
===================================================================
--- /branches/2.2/phpgwapi/setup/tables_update.inc.php	(revision 4350)
+++ /branches/2.2/phpgwapi/setup/tables_update.inc.php	(revision 4542)
@@ -127,3 +127,9 @@
 		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
 	}
+	$test[] = '2.2.3';
+	function phpgwapi_upgrade2_2_3()
+	{
+		$GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.2.4';
+		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
+	}
 ?>
Index: /branches/2.2/mobile/setup/setup.inc.php
===================================================================
--- /branches/2.2/mobile/setup/setup.inc.php	(revision 4350)
+++ /branches/2.2/mobile/setup/setup.inc.php	(revision 4542)
@@ -14,5 +14,5 @@
 	$setup_info['mobile']['name']      = 'mobile';
 	$setup_info['mobile']['title']     = 'Expresso Mini';
-	$setup_info['mobile']['version']   = '2.2.3';
+	$setup_info['mobile']['version']   = '2.2.4';
 	$setup_info['mobile']['app_order'] = 4;
 	$setup_info['mobile']['enable']    = 2;
Index: /branches/2.2/expressoAdmin1_2/setup/tables_update.inc.php
===================================================================
--- /branches/2.2/expressoAdmin1_2/setup/tables_update.inc.php	(revision 4250)
+++ /branches/2.2/expressoAdmin1_2/setup/tables_update.inc.php	(revision 4542)
@@ -73,3 +73,9 @@
 		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
 	}
+	$test[] = '2.2.2';
+	function expressoAdmin1_2_upgrade2_2_2()
+	{
+		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '2.2.3';
+		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
+	}
 ?>
Index: /branches/2.2/expressoAdmin1_2/setup/setup.inc.php
===================================================================
--- /branches/2.2/expressoAdmin1_2/setup/setup.inc.php	(revision 4250)
+++ /branches/2.2/expressoAdmin1_2/setup/setup.inc.php	(revision 4542)
@@ -13,5 +13,5 @@
 	$setup_info['expressoAdmin1_2']['title']     	= 'Expresso Admin';
 	/* Ao incrementar versão, não esquecer de declarar função do tables_update.inc.php*/
-	$setup_info['expressoAdmin1_2']['version']   	= '2.2.2';
+	$setup_info['expressoAdmin1_2']['version']   	= '2.2.3';
 	$setup_info['expressoAdmin1_2']['app_order']	= 1;
 	$setup_info['expressoAdmin1_2']['tables'][]		= 'phpgw_expressoadmin';
Index: /branches/2.2/help/setup/setup.inc.php
===================================================================
--- /branches/2.2/help/setup/setup.inc.php	(revision 4173)
+++ /branches/2.2/help/setup/setup.inc.php	(revision 4542)
@@ -13,5 +13,5 @@
 	$setup_info['help']['name']      = 'help';
 	$setup_info['help']['title']     = 'User Manual and Help Page';
-	$setup_info['help']['version']   = '2.2.1';
+	$setup_info['help']['version']   = '2.2.2';
 	$setup_info['help']['app_order'] = 5;
 	$setup_info['help']['enable']    = 2;	// Invisible on top (navigation bar)
Index: /branches/2.2/jabberit_messenger/setup/setup.inc.php
===================================================================
--- /branches/2.2/jabberit_messenger/setup/setup.inc.php	(revision 4173)
+++ /branches/2.2/jabberit_messenger/setup/setup.inc.php	(revision 4542)
@@ -8,5 +8,5 @@
 	$setup_info['jabberit_messenger']['name']      	= 'jabberit_messenger';
 	$setup_info['jabberit_messenger']['title']     	= 'Expresso Messenger';
-	$setup_info['jabberit_messenger']['version']   	= '2.2.1';
+	$setup_info['jabberit_messenger']['version']   	= '2.2.2';
 	$setup_info['jabberit_messenger']['app_order'] 	= 9;
 	$setup_info['jabberit_messenger']['enable']    	= 1;
Index: /branches/2.2/expressoMail1_2/setup/tables_update.inc.php
===================================================================
--- /branches/2.2/expressoMail1_2/setup/tables_update.inc.php	(revision 4350)
+++ /branches/2.2/expressoMail1_2/setup/tables_update.inc.php	(revision 4542)
@@ -116,3 +116,8 @@
 		return $setup_info['expressoMail1_2']['currentver'];
 	}
+	$test[] = '2.2.3';
+	function expressoMail1_2_upgrade2_2_3() {
+		$setup_info['expressoMail1_2']['currentver'] = '2.2.4';
+		return $setup_info['expressoMail1_2']['currentver'];
+	}
 ?>
Index: /branches/2.2/expressoMail1_2/setup/setup.inc.php
===================================================================
--- /branches/2.2/expressoMail1_2/setup/setup.inc.php	(revision 4350)
+++ /branches/2.2/expressoMail1_2/setup/setup.inc.php	(revision 4542)
@@ -12,5 +12,5 @@
 	$setup_info['expressoMail1_2']['name']      	= 'expressoMail1_2';
 	$setup_info['expressoMail1_2']['title']     	= 'Expresso Mail';
-	$setup_info['expressoMail1_2']['version']   	= '2.2.3';
+	$setup_info['expressoMail1_2']['version']   	= '2.2.4';
 	$setup_info['expressoMail1_2']['app_order'] 	= 2;
 	$setup_info['expressoMail1_2']['tables'][]		= 'phpgw_expressomail_contacts';