Index: branches/2.2.0.1/calendar/inc/class.uicalendar.inc.php
===================================================================
--- branches/2.2.0.1/calendar/inc/class.uicalendar.inc.php	(revision 4529)
+++ branches/2.2.0.1/calendar/inc/class.uicalendar.inc.php	(revision 4549)
@@ -5383,4 +5383,6 @@
 			$hour_size_px = $account_prefs['calendar']['interval'] ? $account_prefs['calendar']['interval'] : 42;
 
+			$title_view = $account_prefs['calendar']['title_view'];
+
                         $events_to_show_json = array();
 			$templateSet = $GLOBALS['phpgw_info']['server']['template_set'];
@@ -5450,39 +5452,46 @@
 				}
 
-				if($_GET['menuaction'] ==  'calendar.uicalendar.day')
-                                {
-                                    $text = $event['description'];
-                                }
-                                elseif($_GET['menuaction'] ==  'calendar.uicalendar.week')
-                                {
-				    $text = ' - '.$event['end']['hour'].':'.$event['end']['min'];
-
-				    //is recurrent?
-				    $text .= (isset($recur) && $recur != false) ? ' ' . '<img width="10px" height="10px" border="0" title="'.lang('recurring event').'" src="calendar/templates/'.$templateSet.'/images/recur.png"/>' : '' ;
-				    
-				    //participants?
-				    if(count($event['participants']) > 1)
+				if($title_view == 0)
+				{
+				    if($_GET['menuaction'] ==  'calendar.uicalendar.day')
 				    {
-					$text .= " " . '<img width="11px" height="10px" border="0" title="'.$participants.'" src="calendar/templates/'.$templateSet.'/images/multi_3.png"/>';
+					$text = $event['description'];
+				    }
+				    elseif($_GET['menuaction'] ==  'calendar.uicalendar.week')
+				    {
+					$text = ' - '.$event['end']['hour'].':'.$event['end']['min'];
+
+					//is recurrent?
+					$text .= (isset($recur) && $recur != false) ? ' ' . '<img width="10px" height="10px" border="0" title="'.lang('recurring event').'" src="calendar/templates/'.$templateSet.'/images/recur.png"/>' : '' ;
+
+					//participants?
+					if(count($event['participants']) > 1)
+					{
+					    $text .= " " . '<img width="11px" height="10px" border="0" title="'.$participants.'" src="calendar/templates/'.$templateSet.'/images/multi_3.png"/>';
+					}
+					else
+					{
+					    $text .= " " . '<img width="11px" height="10px" border="0" title="'.$participants.'" src="calendar/templates/'.$templateSet.'/images/single.png"/>';
+					}
+
+					//has attachments?
+					$text .= (isset($event['attachment']) && $event['attachment'] != '') ? ' ' . '<img width="10px" height="10px" border="0" title="'.lang('email notifications with attachments has been sent').'" src="calendar/templates/'.$templateSet.'/images/clip.png"/>' : '' ;
+
+					//is public?
+					$text .= $isPublic == 0 ? ' ' . '<img width="11px" height="10px" border="0" title="'.$isPublicTitle.'" src="calendar/templates/'.$templateSet.'/images/private.png"/>' : '' ;
+
+					//has alarm?
+					$text .= (isset($event['alarm']) && count($event['alarm']) >= 1) ? ' ' . '<img width="11px" height="10px" border="0" title="'.lang('alarm').'" src="calendar/templates/'.$templateSet.'/images/alarm.png"/>' : '' ;
+
+					$text .= ' - ' . $event['title']." - ".$event['description'];
 				    }
 				    else
 				    {
-					$text .= " " . '<img width="11px" height="10px" border="0" title="'.$participants.'" src="calendar/templates/'.$templateSet.'/images/single.png"/>';
+					$text = ' - '.$event['end']['hour'].':'.$event['end']['min'] . ' - '. $event['title']." - ".$event['description'];
 				    }
-
-				    //has attachments?
-				    $text .= (isset($event['attachment']) && $event['attachment'] != '') ? ' ' . '<img width="10px" height="10px" border="0" title="'.lang('email notifications with attachments has been sent').'" src="calendar/templates/'.$templateSet.'/images/clip.png"/>' : '' ;
-
-				    //is public?
-				    $text .= $isPublic == 0 ? ' ' . '<img width="11px" height="10px" border="0" title="'.$isPublicTitle.'" src="calendar/templates/'.$templateSet.'/images/private.png"/>' : '' ;
-
-				    //has alarm?
-				    $text .= (isset($event['alarm']) && count($event['alarm']) >= 1) ? ' ' . '<img width="11px" height="10px" border="0" title="'.lang('alarm').'" src="calendar/templates/'.$templateSet.'/images/alarm.png"/>' : '' ;
-				    
-				    $text .= ' - ' . $event['title']." - ".$event['description'];
-                                }
+				}
 				else
 				{
-				    $text = ' - '.$event['end']['hour'].':'.$event['end']['min'] . ' - '. $event['title']." - ".$event['description'];
+				    $text = '';
 				}
 
@@ -5508,5 +5517,6 @@
 				    recurTitle		    => utf8_encode(lang('recurring event')),
                                     intersection	    => $intersection,
-                                    rejected                => $rejected
+                                    rejected                => $rejected,
+				    title_view		    => $title_view
                                 );
 
Index: branches/2.2.0.1/calendar/inc/hook_settings.inc.php
===================================================================
--- branches/2.2.0.1/calendar/inc/hook_settings.inc.php	(revision 4530)
+++ branches/2.2.0.1/calendar/inc/hook_settings.inc.php	(revision 4549)
@@ -189,8 +189,8 @@
 	create_check_box('Leave my calendar public','public_view',
 		'This option allow everybody to view your calendar in readmode.');
-//	create_select_box('Default view of your calendar','title_view',array(
-//			'0' => lang('Title and Description'),
-//			'1' => lang('Only Title')
-//		),'This option enable or disable the meeting description view your calendar in readmode.');
+	create_select_box('Default view of your calendar','title_view',array(
+			'0' => lang('Title and Description'),
+			'1' => lang('Only Title')
+		),'This option enable or disable the meeting description view your calendar in readmode.');
 	create_select_box('Choose fields to print','fields_to_print',array(
 			'0' => lang('Only Title'),
Index: branches/2.2.0.1/calendar/templates/default/day_cal.tpl
===================================================================
--- branches/2.2.0.1/calendar/templates/default/day_cal.tpl	(revision 4311)
+++ branches/2.2.0.1/calendar/templates/default/day_cal.tpl	(revision 4549)
@@ -150,7 +150,14 @@
 	    }
 
-	    if(event.descOnTitle == 1)
-	    {
-		var eventDescOnTitle = (" - ") + event.text;
+	    if(event.title_view == 0)
+	    {
+		if(event.descOnTitle == 1)
+		{
+		    var eventDescOnTitle = (" - ") + event.text;
+		}
+		else
+		{
+		    var eventDescOnTitle = '';
+		}
 	    }
 	    else