Index: branches/2.2/expressoMail1_2/setup/phpgw_pt-br.lang
===================================================================
--- branches/2.2/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 4593)
+++ branches/2.2/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 4610)
@@ -1,3 +1,3 @@
-% used	expressoMail1_2	pt-br	% utilizado
+f% used	expressoMail1_2	pt-br	% utilizado
 View Quota Usage in Folders	expressoMail1_2	pt-br	Visualizar quota utilizada por cada pasta
 You are currently using %1 (%2%).	expressoMail1_2	pt-br	Você está usando atualmente %1 (%2%).
@@ -373,4 +373,5 @@
 People	expressoMail1_2	pt-br	Pessoas
 Personal Catalog	expressoMail1_2	pt-br	Catálogo Pessoal
+Permission	expressoMail1_2	pt-br	Permissões
 Phone Warnings List	expressoMail1_2	pt-br	Lista de Alertas Telefônicos
 Postfix with LDAP	expressoMail1_2	pt-br	Postfix with LDAP
Index: branches/2.2/expressoMail1_2/js/sharemailbox.js
===================================================================
--- branches/2.2/expressoMail1_2/js/sharemailbox.js	(revision 4082)
+++ branches/2.2/expressoMail1_2/js/sharemailbox.js	(revision 4610)
@@ -130,68 +130,69 @@
 	
 		var el = document.createElement("DIV");
-		el.style.visibility = "hidden";
-		el.style.position = "absolute";
-		el.style.left = "0px";
-		el.style.top = "0px";
-		el.style.width = "0px";
-		el.style.height = "0px";
-		el.id = 'dJSWin_sharefolders';
-		document.body.appendChild(el);
+                    el.style.visibility = "hidden";
+                    el.style.position = "absolute";
+                    el.style.left = "0px";
+                    el.style.top = "0px";
+                    el.style.width = "0px";
+                    el.style.height = "0px";
+                    el.id = 'dJSWin_sharefolders';
+		
+                document.body.appendChild(el);
 
 		if (Element('em_select_sharefolders_users'))
 		{
 			var select_users = Element('em_select_sharefolders_users');
-			select_users.innerHTML = '#' + options;
-			select_users.outerHTML = select_users.outerHTML;
-			
-			Element('em_input_readAcl').checked = false;
-			Element('em_input_deleteAcl').checked = false;
-			Element('em_input_writeAcl').checked = false;
-			Element('em_input_sendAcl').checked = false;
-			Element('em_input_saveAcl').checked = false;
+                            select_users.innerHTML = '#' + options;
+                            select_users.outerHTML = select_users.outerHTML;
+			
+			Element('em_input_readAcl').checked     = false;
+			Element('em_input_deleteAcl').checked   = false;
+			Element('em_input_writeAcl').checked    = false;
+			Element('em_input_sendAcl').checked     = false;
+			Element('em_input_saveAcl').checked     = false;
 		}
 		else
 		{
-			el.innerHTML = "<table border=0><tbody><tr>"+
-							
-							"<td valign='bottom'>"+
-								'<font color="red">'+
-									get_lang('Note: This sharing will take action on all of your folders and messages.')+
-									'<br><br>'+
-								'</font>'+
-								get_lang('Your mailbox is shared with')
-								+":<br><br>"+
-								"<select onchange=sharemailbox.getaclfromuser(this.value); id='em_select_sharefolders_users' size='13' style='width:250px;height:200px'>" + options + "</select>"+
-							"</td>"+
-							
-							"<td>"+
-								'<br><br><br><br><br><br>'+
-								'<img onClick="javascript:sharemailbox.add_user();" src="templates/'+template+'/images/arrow_left.gif" style="vertical-align:middle;cursor:pointer;">' +
-								'<br><br>'+
-								'<img onClick="javascript:sharemailbox.remove_user();" src="templates/'+template+'/images/arrow_right.gif" style="vertical-align:middle;cursor:pointer;">' +
-							"</td>"+
-							
-							"<td valign='bottom'><br>"+
-								get_lang('Organization')+":&nbsp;" + 
-								"<select id='em_combo_org' onchange='javascript:sharemailbox.get_available_users(this.value);'></select>"+
-								
-								"<br><br>"+get_lang('Search user')+":<br>" +
-								'<input id="em_input_searchUser" size="35" autocomplete="off"  onkeyup="javascript:sharemailbox.optionFinderTimeout(this)"><br>'+
-								
-								'<font color="red"><span id="em_span_searching">&nbsp;</span></font><br>'+
-								
-								"<select id='em_select_available_users' style='width:250px;height:200px' multiple></select></td>"+
-							'</tr>'+
-							'<tr><td>'+
-								'<table border=0><tbody><tr><td colspan=2>'+
-									get_lang('Access right')+':'+
-								'</td></tr>'+
-								'<tr><td>'+get_lang('Read')+':</td><td><input id=\'em_input_readAcl\' onClick="return sharemailbox.setaclfromuser();" type="checkbox"><img title="'+get_lang("hlp_msg_read_acl")+'." src=\'./templates/'+template+'/images/ajuda.jpg\'></td></tr>'+
-								'<tr><td>'+get_lang('Exclusion')+':</td><td><input id=\'em_input_deleteAcl\' onClick="return sharemailbox.setaclfromuser();" type="checkbox"><img title="'+get_lang('hlp_msg_delmov_acl')+'." src=\'./templates/'+template+'/images/ajuda.jpg\'></td></tr>'+
-								'<tr><td>'+get_lang('Write')+':</td><td><input id=\'em_input_writeAcl\' onClick="return sharemailbox.setaclfromuser();" type="checkbox"><img title="'+get_lang('hlp_msg_addcreate_acl')+'." src=\'./templates/'+template+'/images/ajuda.jpg\'></td></tr>'+
-								'<tr><td>'+get_lang('Send')+':</td><td><input id=\'em_input_sendAcl\' onClick="return sharemailbox.setaclfromuser();" type="checkbox"><img title="'+get_lang('hlp_msg_sendlike_acl')+'." src=\'./templates/'+template+'/images/ajuda.jpg\'></td></tr>'+
-								'<tr><td>'+get_lang('Save')+':</td><td><input id=\'em_input_saveAcl\' onClick="return sharemailbox.setaclfromuser();" type="checkbox"><img title="'+get_lang('hlp_msg_savelike_acl')+'." src=\'./templates/'+template+'/images/ajuda.jpg\'></td></tr></tbody></table>'+
-							'</td></tr>'+
-			"</tbody></table>";
+                    el.innerHTML =  '<div style="width:645px; height:340px; margin: 2px !important; ">'+
+                                        '<fieldset style="height:300px;">'+
+                                            '<div style="width:500px; height:15px; font-size:8pt; color:red;">'+
+                                                get_lang('Note: This sharing will take action on all of your folders and messages.')+
+                                            '</div>'+
+                                            '<br clear="all"/>'+
+                                            '<div style="width:250px; height: 300px; position:aboslute; float:left;">'+
+                                                '<label>'+get_lang('Organization')+'</label>'+
+                                                '<br/>'+
+                                                '<select id="em_combo_org" onchange="javascript:sharemailbox.get_available_users(this.value);"></select>'+
+                                                '<br/><br/>'+
+                                                '<label>'+get_lang('Search user')+'<span style="margin-left:10px; color:red;" id="em_span_searching">&nbsp;</span><br></label>'+
+                                                '<input id="em_input_searchUser" size="30" autocomplete="off"  onkeyup="javascript:sharemailbox.optionFinderTimeout(this)">'+
+                                                '<div style="margin-top:17px;"><label>'+get_lang('Users')+':</label></div>'+
+                                                '<select id="em_select_available_users" style="width:250px; height:150px" multiple></select></td>'+
+                                            '</div>'+
+                                            '<div style="width:20px; height: 300px; position:relative; float:left;">'+
+                                                '<div style="margin-top:120px;margin-left:3px;">'+
+                                                    '<img onClick="javascript:sharemailbox.add_user();" src="../phpgwapi/templates/azul/images/tabs-r0.gif" style="vertical-align:middle;cursor:pointer;">'+
+                                                    '<br/><br/>'+
+                                                    '<img onClick="javascript:sharemailbox.remove_user();" src="../phpgwapi/templates/azul/images/tabs-l0.gif" style="vertical-align:middle;cursor:pointer;">'+
+                                                '</div>'+
+                                            '</div>'+
+                                            '<div style="width:348px; height:300px; position:relative; float:right;">'+
+                                                '<div style="margin-top:90px;"><label>'+get_lang('Your mailbox is shared with')+' :</label></div>'+
+                                                '<div style="position:absolute; float:left;">'+
+                                                    '<select onchange=sharemailbox.getaclfromuser(this.value); id="em_select_sharefolders_users" size="13" style="width:245px;height:150px">'+options+'</select>'+
+                                                '</div>'+
+                                                '<div style="position:relative; float:right; width:98px;">'+
+                                                        '<fieldset>'+
+                                                            '<legend>'+get_lang('Permission')+'</legend>'+
+                                                            '<div title="'+get_lang("hlp_msg_read_acl")+'" alt="'+get_lang("hlp_msg_read_acl")+'"><label style="padding-left:10px ;text-indent:-15px;"><input style="height:13px; padding:0; margin:0; vertical-align: bottom; position: relative;" id="em_input_readAcl" onClick="return sharemailbox.setaclfromuser();" type="checkbox">'+get_lang('Read')+'</label><div/>'+
+                                                            '<div title="'+get_lang("hlp_msg_delmov_acl")+'" alt="'+get_lang("hlp_msg_delmov_acl")+'"><label style="padding-left:10px ;text-indent:-15px;"><input style="height:13px; padding:0; margin:0; vertical-align: bottom; position: relative;" id="em_input_deleteAcl" onClick="return sharemailbox.setaclfromuser();" type="checkbox">'+get_lang('Exclusion')+'</label></div>'+
+                                                            '<div title="'+get_lang("hlp_msg_addcreate_acl")+'" alt="'+get_lang("hlp_msg_addcreate_acl")+'"><label style="padding-left:10px ;text-indent:-15px;"><input style="height:13px; padding:0; margin:0; vertical-align: bottom; position: relative;" id="em_input_writeAcl" onClick="return sharemailbox.setaclfromuser();" type="checkbox">'+get_lang('Write')+'</label></div>'+
+                                                            '<div title="'+get_lang("hlp_msg_sendlike_acl")+'" alt="'+get_lang("hlp_msg_sendlike_acl")+'"><label style="padding-left:10px ;text-indent:-15px;"><input style="height:13px; padding:0; margin:0; vertical-align: bottom; position: relative;" id="em_input_sendAcl" onClick="return sharemailbox.setaclfromuser();" type="checkbox">'+get_lang('Send')+'</label></div>'+
+                                                            '<div title="'+get_lang("hlp_msg_savelike_acl")+'" alt="'+get_lang("hlp_msg_savelike_acl")+'"><label style="padding-left:10px ;text-indent:-15px;"><input style="height:13px; padding:0; margin:0; vertical-align: bottom; position: relative;" id="em_input_saveAcl" onClick="return sharemailbox.setaclfromuser();" type="checkbox">'+get_lang('Save')+'</label></div>'+
+                                                        '</fieldset>'+
+                                                '</div>'+
+                                            '</div>'+
+                                        '</fieldset>'+
+                                     '</div>';
 		}
 
@@ -211,6 +212,9 @@
 
 		var butt = Element('dJSWin_wfolders_bok')
-		if (!butt){
+                
+		if ( !butt )
+                {
 			butt = document.createElement('INPUT');
+                        butt.style.marginLeft = "5px";
 			butt.id = 'dJSWin_wfolders_bok';
 			butt.type = 'button';
@@ -264,6 +268,6 @@
 		if(! this.arrayWin[div.id])
 		{
-			div.style.height = "480px";
-			div.style.width = "540px";
+			div.style.height = "370px";
+			div.style.width = "655px";
 			var title = ":: "+get_lang("Mailbox Sharing")+" ::";
 			var wHeight = div.offsetHeight + "px";
Index: branches/2.2/expressoMail1_2/js/common_functions.js
===================================================================
--- branches/2.2/expressoMail1_2/js/common_functions.js	(revision 3904)
+++ branches/2.2/expressoMail1_2/js/common_functions.js	(revision 4610)
@@ -613,8 +613,9 @@
 }
 
-function sharebox(){
+function sharebox()
+{
 	var handler_imap_getacl = function(data)
 	{
-		var options = '';
+                var options = '';
 		for (var x in data)
 		{